GET/payments/recipients

Lista

Recupera todos os destinatários de pagamento criados

Parameters

Query Parameters

NameType
pageSize
number (double)
page
number (double)
isDefault
boolean
pixKey
string
name
string
taxNumber
string

Responses

200Recupere uma lista de todos os destinatários de pagamento
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of payment recipients

itemsobject

Bank-account payment recipient. Returned by `/payments/recipients` endpoints and embedded inside payment requests when the request targets a registered recipient.

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "type": "BANK_ACCOUNT",
      "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
      "name": "Conta empresa",
      "taxNumber": "12345678900",
      "paymentInstitution": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Banco J. Safra S.A.",
        "ispb": "03017677",
        "tradeName": "Banco Safra",
        "compe": "074",
        "createdAt": "2020-04-21T15:00:00.000Z",
        "updatedAt": "2020-04-21T15:00:00.000Z"
      },
      "account": {
        "branch": "0001",
        "number": "123456",
        "type": "CHECKING_ACCOUNT"
      },
      "isDefault": false,
      "pixKey": null,
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
curl -X GET \
'https://api.pluggy.ai/payments/recipients' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"page": 0,
"total": 0,
"totalPages": 0,
"results": [
{
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "12345678900",
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"isDefault": false,
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
]
}